import { mergeProps, Show } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { createTestId } from '../../utilities';
export const Figma = (properties) => {
    const properties_ = mergeProps({
        height: 450,
    }, properties);
    const regex = /(file|proto)\/([\dA-Za-z]{22,128})(?:\/.*)?$/;
    return (<Show when={regex.test(properties_.url)}>
      <GeneralObserver height={properties_.height}>
        <iframe {...createTestId('figma')} title={`figma-${properties_.title}`} class="figma" height={properties_.height} style={{
            width: '100%',
        }} src={`//www.figma.com/embed?embed_host=mdx-embed&url=https://www.figma.com/${properties_.url}`} allowfullscreen/>
      </GeneralObserver>
    </Show>);
};
