import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { handleLinkedInLoad } from './utilities';
import { createTestId } from '../../utilities';
export const LinkedInBadge = (properties) => {
    const properties_ = mergeProps({
        badgeType: 'vertical',
        badgeSize: 'medium',
        theme: 'light',
        locale: 'en_US',
    }, properties);
    return (<GeneralObserver onEnter={handleLinkedInLoad}>
      <div {...createTestId('linkedin-badge')} class="LI-profile-badge linkedin-badge" data-version="v1" data-size={properties_.badgeSize} data-locale={properties_.locale} data-type={properties_.badgeType} data-theme={properties_.theme} data-vanity={properties_.username}>
        <a class="LI-simple-link" href={`//uk.linkedin.com/in/${properties_.username}?trk=profile-badge`}>
          Loading
        </a>
      </div>
    </GeneralObserver>);
};
