import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { constructTwitchURL } from './utilities';
import { createTestId, getPadding } from '../../utilities';
export const Twitch = (properties) => {
    const properties_ = mergeProps({
        parent: 'localhost',
        autoPlay: false,
        skipTo: { h: 0, m: 0, s: 0 },
        channel: '',
        collection: '',
    }, properties);
    const title = properties_.twitchId ? `twitch-${properties_.twitchId}` : `twitch`;
    const baseUrl = `//player.twitch.tv/?autoplay=${properties_.autoPlay.toString()}&t=${properties_.skipTo.h || 0}h${properties_.skipTo.m}m${properties_.skipTo.s}s&parent=${properties_.parent}`;
    const constructedSourceURL = constructTwitchURL(properties_.twitchId, properties_.channel, properties_.collection, baseUrl);
    return (<GeneralObserver>
      <div {...createTestId('twitch')} class="twitch-solid-social" style={{
            position: 'relative',
            width: '100%',
            ...getPadding('16:9'),
        }}>
        <iframe title={title} class="twitch" src={constructedSourceURL} allow="autoplay; fullscreen" style={{
            position: 'absolute',
            top: 0,
            left: 0,
            width: '100%',
            height: '100%',
        }}/>
      </div>
    </GeneralObserver>);
};
