import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { handleTwttrLoad } from './utilities';
import { createTestId } from '../../utilities';
export const TwitterTimeline = (properties) => {
    const properties_ = mergeProps({
        theme: 'light',
        width: '498px',
    }, properties);
    return (<GeneralObserver onEnter={handleTwttrLoad}>
      <div class="twitter-solid-social" style={{ overflow: 'auto' }}>
        <a {...createTestId('twitter-timeline')} class="twitter-timeline" data-theme={properties_.theme} data-width={properties_.width} data-height={properties_.height} href={`//twitter.com/${properties_.username}${properties_.showLikes ? `/likes` : ''}?ref_src=twsrc%5Etfw`}>
          {`Tweets by @${properties_.username}`}
        </a>
      </div>
    </GeneralObserver>);
};
