import { createScriptLoader } from '@solid-primitives/script-loader';
const twttrClasses = [
    'twitter-tweet',
    'twitter-follow-button',
    'twitter-hashtag-button',
    'twitter-list',
    'twitter-mention-button',
    'twitter-timeline',
]
    .map((twttrClass) => `.${twttrClass}`)
    .join(',');
const twttrLoad = () => document
    .querySelectorAll(twttrClasses)
    // eslint-disable-next-line unicorn/no-array-for-each
    .forEach((element) => void window.twttr?.widgets?.load?.(element));
export const handleTwttrLoad = () => {
    if (document.querySelector(twttrClasses) && !window.twttr) {
        createScriptLoader({ src: '//platform.twitter.com/widgets.js' });
        return;
    }
    twttrLoad();
};
export const handleTwttrUpdate = (targetElement, { theme }) => {
    const tweet = document.querySelector(targetElement);
    const source = tweet?.getAttribute('src');
    if (source)
        tweet?.setAttribute('src', source.replace(/theme=.*?&/, `theme=${theme}&`));
};
