import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { createTestId } from '../../utilities';
import { getPadding } from './utilities';
export const Whimsical = (properties) => {
    const properties_ = mergeProps({
        aspectRatio: '1:1',
    }, properties);
    return (<GeneralObserver>
      <div {...createTestId('whimsical')} class="whimsical-solid-social" style={{
            position: 'relative',
            width: '100%',
            ...getPadding(properties_.aspectRatio),
        }}>
        <iframe title={`whimsical-${properties_.diagramId}`} class="whimsical" src={`//whimsical.com/embed/${properties_.diagramId}`} allowfullscreen style={{
            position: 'absolute',
            top: 0,
            left: 0,
            width: '100%',
            height: '100%',
        }}/>
      </div>
    </GeneralObserver>);
};
