import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { createTestId, getPadding } from '../../utilities';
import { handleWistiaLoad } from './utilities';
export const Wistia = (properties) => {
    const properties_ = mergeProps({
        allowfullscreen: true,
        aspectRatio: '16:9',
        width: '100%',
        height: '100%',
        autoPlay: false,
    }, properties);
    return (<GeneralObserver onEnter={handleWistiaLoad}>
      <div class="wistia-container-solid-social" style={{
            position: 'relative',
            width: '100%',
            ...getPadding(properties_.aspectRatio),
        }}>
        <iframe {...createTestId('wistia')} title={`wistia-${properties_.videoId}`} class="wistia-solid-social" src={`//fast.wistia.net/embed/iframe/${properties_.videoId}${properties.autoPlay ? '?autoPlay=true' : ''}`} allow={`autoplay; ${properties_.allowfullscreen ? 'fullscreen' : ''}`} style={{
            position: 'absolute',
            top: 0,
            left: 0,
            width: properties_.width,
            height: properties_.height,
        }}></iframe>
      </div>
    </GeneralObserver>);
};
