import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { createTestId, getPadding } from '../../utilities';
export const YouTube = (properties) => {
    const properties_ = mergeProps({
        aspectRatio: '16:9',
        autoPlay: false,
        skipTo: { h: 0, m: 0, s: 0 },
        noCookie: false,
    }, properties);
    const { h, m, s } = properties_.skipTo;
    const tH = (h || 0) * 60;
    const tM = m * 60;
    const startTime = tH + tM + s;
    const source = `//www.youtube${properties_.noCookie ? '-nocookie' : ''}.com/embed/${properties_.youTubeId
        ? `${properties_.youTubeId}?&autoplay=${properties_.autoPlay.toString()}&start=${startTime}`
        : `&videoseries?list=${properties_.youTubePlaylistId ?? ''}`}`;
    return (<GeneralObserver>
      <div class="youtube-solid-social" style={{
            position: 'relative',
            width: '100%',
            ...getPadding(properties_.aspectRatio),
        }}>
        <iframe {...createTestId('youtube')} class="youtube" title={`youTube-${properties_.youTubeId ?? properties_.youTubePlaylistId ?? ''}`} src={source} allow="accelerometer; autoplay; encrypted-media; fullscreen; gyroscope; picture-in-picture" style={{
            position: 'absolute',
            top: 0,
            left: 0,
            width: '100%',
            height: '100%',
        }}/>
      </div>
    </GeneralObserver>);
};
